import { notFound } from "next/navigation"

import { env } from "@/env/server"

import DestinationOverviewPage from "@/components/ContentType/DestinationPage/DestinationOverviewPage"

import type { LangParams, PageArgs } from "@/types/params"

export { generateMetadata } from "@/utils/generateMetadata"

export default function DestinationOverviewPagePage({}: PageArgs<LangParams>) {
  if (env.NEW_SITE_LIVE_STATUS === "NOT_LIVE") {
    return notFound()
  }

  return <DestinationOverviewPage />
}
